Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Interface VersionUpgrader

All Known Implementing Classes:
  DefaultVersionUpgrader

    public interface VersionUpgrader

Provides the interface persistent data upgrade process must support

Field Summary
`static int` | `CURRENT_VERSION` The latest bamboo configuration/build data version

Method Summary
`void` | `clearStatusMessages()`
`int` | `getCurrentVersion()` Returns the actual version of the current version.
`int` | `getPercentageComplete()`
`String` | `getUpgradeStatusMessage()`
`void` | `setBuildDir(File buildDir)` Where's the build data files that need updating?
`void` | `setDataDirectory(File dataDirectory)` Where's the configuration data files that need updating?
`void` | `updateToCurrentVersion()` Do the upgrade

Field Detail

### CURRENT_VERSION

    static final int CURRENT_VERSION

  The latest bamboo configuration/build data version

  See Also:
    Constant Field Values

Method Detail

### updateToCurrentVersion

    void updateToCurrentVersion()

  Do the upgrade

### setBuildDir

    void setBuildDir(File buildDir)

  Where's the build data files that need updating?

  Parameters:
    `buildDir` - The bamboo build data directory

### setDataDirectory

    void setDataDirectory(File dataDirectory)

  Where's the configuration data files that need updating?

  Parameters:
    `dataDirectory` - The bamboo configuration data directory

### getCurrentVersion

    int getCurrentVersion()

  Returns the actual version of the current version. may be < CURRENT_VERSION as may need to be upgraded!

  Returns:
    The version of the current data.

### getUpgradeStatusMessage

    String getUpgradeStatusMessage()

### getPercentageComplete

    int getPercentageComplete()

### clearStatusMessages

    void clearStatusMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.